Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008771 [DCSS] Bug Report minor always 2014-07-08 22:50 2014-09-19 02:58
Reporter minmay View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008771: Magical staff melee always does 0 damage
Description Attacking with a staff will always do 0 damage. The bonus damage can trigger, but the attack itself will always be 0 damage (this is particularly obvious if you try meleeing with, say, a staff of wizardry).
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Fix-magical-staves-always-doing-0-damage-8771.patch [^] (1,406 bytes) 2014-07-09 21:00 [Show Content]

- Relationships
has duplicate 0008531resolvedwheals Magical staff with shield does zero damage in fsim 

-  Notes
(0026716)
CommanderC (reporter)
2014-07-09 21:05

melee_attack::using_weapon() was returning false for magical staves, and this caused attack::calc_damage() to call attack::calc_base_unarmed_damage() instead of melee_attack::weapon_damage().
(0026717)
neil (administrator)
2014-07-09 23:56

In trunk (0.15-a0-1967-g73a505e), thanks!

- Issue History
Date Modified Username Field Change
2014-07-08 22:50 minmay New Issue
2014-07-08 22:59 PleasingFungus Relationship added related to 0008531
2014-07-09 21:00 CommanderC File Added: 0001-Fix-magical-staves-always-doing-0-damage-8771.patch
2014-07-09 21:05 CommanderC Note Added: 0026716
2014-07-09 23:56 neil Note Added: 0026717
2014-07-09 23:56 neil Status new => resolved
2014-07-09 23:56 neil Fixed in Branch => 0.15 development branch
2014-07-09 23:56 neil Resolution open => done
2014-07-09 23:56 neil Assigned To => neil
2014-09-19 02:58 minmay Status resolved => closed
2014-09-21 02:52 wheals Relationship replaced has duplicate 0008531


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker